from django.utils.importlib import import_module
from django.core.exceptions import ImproperlyConfigured

from . import app_settings

def get_adapter():
    module, cls = app_settings.ADAPTER.rsplit('.', 1)
    try:
        module = import_module(module)
        cls = getattr(module, cls)
    except (ImportError, AttributeError):
        msg = 'LTPA user adapter not found: %r' % app_settings.ADAPTER
        raise ImproperlyConfigured(msg)
    return cls()

class UserAdapter(object):
    def get_username(self, request):
        return request.user.username
